{% extends "ajax/game/town/town.html.twig" %}
{% block title %}{{'Verbessrung des Tages'|trans({}, 'game')}}{% endblock %}
{% block content %}
    <div class="help">
        {% trans from 'game' %}
            Einmal pro Tag können bestimmte Konstruktionen umsonst verbessert werden (ohne Einsatz von AP oder Ressourcen). Das nennt sich die Verbesserung des Tages. Jede Verbesserung bringt verschiedene Vorteile mit sich (Verteidigung, Wasser, spezielle Fähigkeiten...). Es ist eure Aufgabe die Verbesserung des Tages zu wählen, die euch am geeignetsten scheint.
        {% endtrans %}
    </div>

    {% if banished %}
    <div class="note note-warning">
        {% trans from 'game' %}
            Du wurdest verbannt und kannst daher nicht länger für eine Verbesserung des Tages abstimmen.
        {% endtrans %}
    </div>
    {% endif %}

    {# @var vote \App\Entity\Building #}
    {% if vote is not null %}
        <div class="note">
            {% trans from 'game' %}Du hast bereits für folgendes Projekt abgestimmt:{% endtrans %}
            <b>{{ vote.prototype.label|trans({},'buildings') }}</b>
        </div>
    {% endif %}

    <div class="forum-preview-container fix-height hide-sm">
        <div id="forum-content">
            <div class="center"><i class="fa fa-spin fa-circle-notch"></i> {{ 'Lade Forum...'|trans({},'game') }}</div>
        </div>
    </div>

    <div class="town-upgrades">
        {% for building in buildings %}
            {# @var building \App\Entity\Building #}
            <div class="row {% if building.level >= 1 %}complete{% endif %}">
                <div class="padded cell rw-10 rw-md-12">
                    <strong>{{ building.prototype.label|trans({},'buildings') }}{% if building.level > 0 %} ({% trans with {'%lv%': building.level} from 'game' %}Level %lv%{% endtrans %}/{{building.prototype.maxLevel}}){% endif %}</strong>
                    {% if building.prototype.upgradeTexts %}
                        {% if building.level > 0 %}
                            <p>
                                <b>{% trans from 'game' %}Aktuelles Level:{% endtrans %}</b>
                                {{ building.prototype.upgradeTexts[min(building.prototype.upgradeTexts|length,building.level-1)]|trans({},'buildings') }}
                            </p>
                        {% endif %}
                        {% if building.level < building.prototype.maxLevel %}
                            <p>
                                <b>{% trans from 'game' %}Nächstes Level:{% endtrans %}</b>
                                {{ building.prototype.upgradeTexts[min(building.prototype.upgradeTexts|length,building.level)]|trans({},'buildings') }}
                            </p>
                        {% endif %}
                    {% endif %}
                </div>
                <div class="padded cell rw-2 rw-md-12">
                    {% if building.level >= building.prototype.maxLevel %}
                        <p><i>{% trans from 'game' %}Max. Level{% endtrans %}</i></p>
                    {% else %}
                        <p>&nbsp;</p>
                    {% endif %}
                    {% if vote is null and building.level < building.prototype.maxLevel %}
                        <button {% if banished or is_devastated %}disabled{% endif%} x-building-id="{{ building.id }}">{% trans from 'game' %}Abstimmen{% endtrans %}</button>
                    {% elseif building.level < building.prototype.maxLevel %}
                        {% trans from 'game' %}Stimmen:{% endtrans %} {{ building.dailyUpgradeVotes|length }}
                        {% if building.dailyUpgradeVotes|length == max_votes %}
                            <div class="float-right"><img alt="!" src="{{ asset('build/images/icons/star.gif') }}" /></div>
                        {% endif %}
                        <div class="vote-bar">
                            <div class="vote-progress" style="width: {{building.dailyUpgradeVotes|length / total_votes * 100}}%;"></div>
                        </div>
                    {% endif %}
                </div>
            </div>
        {% endfor %}
    </div>
{% endblock %}
{% block js %}
    {{ parent() }}
    <script>
        let buttons = document.querySelectorAll('[x-building-id]');
        for (let i = 0; i < buttons.length; i++)
            buttons[i].addEventListener('click', function() {
                const id = this.getAttribute('x-building-id');
                $.ajax.easySend( '{{ path('town_upgrades_vote_controller') }}', {id: id},
                    function () {
                        $.ajax.load(null, '{{ path('town_upgrades') }}', true);
                    } );
            });
        $.ajax.background().no_history().load( document.getElementById('forum-content'), '{{ path('forum_previewer_controller', {fid: town.forum.id, sem: constant('App\\Entity\\Thread::SEMANTIC_DAILYVOTE') })|e('js') }}', false, {}, function() {
            let container = document.querySelector('.forum-preview-container');
            container.scrollTop = container.scrollHeight;
        } );
    </script>
{% endblock %}